- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# pcap_rmtauth Struct Reference
[Exported Structures and Definitions]

This structure keeps the information needed to autheticate the user on a remote machine. More...

`#include <remote-ext.h>`

## Data Fields
int | type
| Type of the authentication required.
char * | username
| Zero-terminated string containing the username that has to be used on the remote machine for authentication.
char * | password
| Zero-terminated string containing the password that has to be used on the remote machine for authentication.

## Detailed Description

This structure keeps the information needed to autheticate the user on a remote machine.

The remote machine can either grant or refuse the access according to the information provided. In case the NULL authentication is required, both 'username' and 'password' can be NULL pointers.

This structure is meaningless if the source is not a remote interface; in that case, the functions which requires such a structure can accept a NULL pointer as well.

Definition at line 335 of file remote-ext.h.

## Field Documentation

int type

Type of the authentication required.

In order to provide maximum flexibility, we can support different types of authentication based on the value of this 'type' variable. The currently supported authentication methods are defined into the Remote Authentication Methods Section.

Definition at line 346 of file remote-ext.h.

char* username

Zero-terminated string containing the username that has to be used on the remote machine for authentication.

This field is meaningless in case of the RPCAP_RMTAUTH_NULL authentication and it can be NULL.

Definition at line 354 of file remote-ext.h.

char* password

Zero-terminated string containing the password that has to be used on the remote machine for authentication.

This field is meaningless in case of the RPCAP_RMTAUTH_NULL authentication and it can be NULL.

Definition at line 362 of file remote-ext.h.

The documentation for this struct was generated from the following file:

- remote-ext.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2007 CACE Technologies. All rights reserved.